View Issue Details

IDProjectCategoryView StatusLast Update
0000889Double CommanderDefaultpublic2019-05-18 11:38
Reporterginggs Assigned ToAlexx2000  
PrioritynormalSeveritytweakReproducibilityN/A
Status closedResolutionfixed 
ProjectionnoneETAnone 
PlatformLinuxOSDebian / Ubuntu 
Product Version0.5.10Product Build5514 
Target Version0.5.11Fixed in Version0.5.11 
Summary0000889: Build scripts should exit on error
DescriptionBuild scripts should exit on error. This prevents failures from passing undetected through the build system, making troubleshooting difficult.

The attached patch adds 'set -e' to each build script.
TagsNo tags attached.
Attached Files
build-scripts-exit-on-error.patch (840 bytes)   
--- a/build.sh
+++ b/build.sh
@@ -1,4 +1,5 @@
 #!/bin/sh 
+set -e
 
 # if you compile first time you must change variable "lazpath" and "lcl"
 # after it execute this script with parameter "all" at doublecmd dir 
--- a/components/build.sh
+++ b/components/build.sh
@@ -1,4 +1,5 @@
 #!/bin/sh
+set -e
 # Compiling components
 
 # This script run from main build.sh script
--- a/install/linux/install.sh
+++ b/install/linux/install.sh
@@ -1,4 +1,5 @@
 #!/bin/bash
+set -e
 
 # Set processor architecture
 if [ -z $CPU_TARGET ]; then
--- a/plugins/build.sh
+++ b/plugins/build.sh
@@ -1,4 +1,5 @@
 #!/bin/sh
+set -e
 # Build all plugins
 
 # This script run from main build.sh script
--- a/install/linux/install-help.sh
+++ b/install/linux/install-help.sh
@@ -1,4 +1,5 @@
 #!/bin/sh
+set -e
 
 # Parse input parameters
 CKNAME=$(basename "$0")
dont_install_.so_files.patch (394 bytes)   
--- a/install/linux/install.sh
+++ b/install/linux/install.sh
@@ -99,7 +99,6 @@
   then
     # Copy libraries
     install -d                $DC_INSTALL_PREFIX/usr/lib$LIB_SUFFIX
-    install -m 644 *.so*      $DC_INSTALL_PREFIX/usr/lib$LIB_SUFFIX
     # Create directory for platform independed files
     install -d                $DC_INSTALL_PREFIX/usr/share/doublecmd
     # Copy man files
Fixed in Revision5634, 5635
Operating systemLinux
WidgetsetGTK2, QT4
Architecture32-bit, 64-bit

Activities

ginggs

2014-07-26 16:43

reporter   ~0001300

Last edited: 2014-07-26 16:43

In the Debian packaging of doublecmd, in addition to adding 'set -e' to each build script, we removed the line 'install -m 664 *.so*' from install/linux/install.sh as it caused a FTBFS due to there being no *.so* files to install.

Issue History

Date Modified Username Field Change
2014-06-15 03:53 ginggs New Issue
2014-06-15 03:53 ginggs File Added: build-scripts-exit-on-error.patch
2014-07-16 10:07 Alexx2000 Status new => acknowledged
2014-07-16 10:07 Alexx2000 Target Version => 0.5.11
2014-07-26 16:38 ginggs File Added: dont_install_.so_files.patch
2014-07-26 16:43 ginggs Note Added: 0001300
2014-07-26 16:43 ginggs Note Edited: 0001300
2014-09-20 18:28 Alexx2000 Fixed in Revision => 5634, 5635
2014-09-20 18:28 Alexx2000 Assigned To => Alexx2000
2014-09-20 18:28 Alexx2000 Status acknowledged => resolved
2014-09-20 18:28 Alexx2000 Resolution open => fixed
2014-09-20 18:28 Alexx2000 Fixed in Version => 0.5.11
2019-05-18 11:38 Alexx2000 Status resolved => closed